Sisimai::LDA(3pm)

NAME
Sisimai::LDA - Error message decoder for LDA; Local Delivery Agent

SYNOPSIS
    use Sisimai::LDA;
    my $fact = Sisimai::Fact->rise($v);
    my $ldav = Sisimai::LDA->find($fact->[0]); # Returns the bounce reason LDA generated

DESCRIPTION
"Sisimai::LDA" decodes bounced email which created by some LDA, such as Dovecot, "mail.local", "procmail", and so on. This class is called from "Sisimai::Fact" only.

CLASS METHODS

  "find(Sisimai::Fact Object)"
find() method detects the bounce reason using the error message generated by LDA

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2016,2018-2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.